Bug 476359 - Review Request: compiz-fusion-unsupported - Unsupported Compiz Fusion plugins for Compiz
Review Request: compiz-fusion-unsupported - Unsupported Compiz Fusion plugins...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Felix Kaechele
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-13 09:34 EST by leigh scott
Modified: 2011-04-03 23:52 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-24 05:22:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
felix: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description leigh scott 2008-12-13 09:34:58 EST
Spec URL: http://www.linux-ati-drivers.homecall.co.uk/compiz-fusion-unsupported.spec
SRPM URL: http://www.linux-ati-drivers.homecall.co.uk/compiz-fusion-unsupported-0.7.8-1.fc10.src.rpm
Description: This package contains additional plugins from the Compiz Fusion Project
Comment 1 leigh scott 2008-12-13 09:35:39 EST
I also need a sponsor .
Comment 2 Felix Kaechele 2009-03-15 07:29:29 EDT
As you now don't seem to need a sponsor anymore I'll be able to take the review.
Comment 3 Felix Kaechele 2009-03-21 04:17:17 EDT
Here are some things I found that should be fixed before I start the final review:
- the package misses the BuildDependency mesa-libGL-devel
- the package obsoletes a package that has never been in Fedora
- the gnome subpackage should do a stricter Require. E.g. %{name} = %{version}-%{release}
- fix the following rpmlint errors:
compiz-fusion-unsupported.src:25: W: unversioned-explicit-obsoletes compiz-fusion-plugins-unsupported
compiz-fusion-unsupported.x86_64: W: obsolete-not-provided compiz-fusion-plugins-unsupported
compiz-fusion-unsupported-gnome.x86_64: W: no-documentation
compiz-fusion-unsupported-gnome.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/compiz-atlantis.schemas
compiz-fusion-unsupported-gnome.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/compiz-snow.schemas
compiz-fusion-unsupported-gnome.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/compiz-mswitch.schemas
compiz-fusion-unsupported-gnome.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/compiz-tile.schemas
compiz-fusion-unsupported-gnome.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/compiz-fakeargb.schemas
- you could improve the legibility of the specfile by making use of indentation but that's just an idea and not required.
Comment 4 Felix Kaechele 2009-04-11 18:05:43 EDT
poke
Comment 5 leigh scott 2009-06-08 10:36:03 EDT
OK, here's my latest attempt :-)


Spec URL: http://leigh123linux.fedorapeople.org/pub/review/compiz-fusion-unsupported/1/compiz-fusion-unsupported.spec

SRPM URL: http://leigh123linux.fedorapeople.org/pub/review/compiz-fusion-unsupported/1/compiz-fusion-unsupported-0.8.2-1.fc12.src.rpm



The x86_64: W: non-conffile-in-etc error is also present in the packages

1. compiz-fusion
2. compiz-fusion-extras

Do I need to fix this ?


rpmlint -vi '/home/leigh/Desktop/compiz-fusion-unsupported-0.8.2-1.fc12.src.rpm' 
compiz-fusion-unsupported.src: I: checking
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint -vi '/home/leigh/Desktop/compiz-fusion-unsupported-0.8.2-1.fc12.x86_64.rpm' 
compiz-fusion-unsupported.x86_64: I: checking
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint -vi '/home/leigh/Desktop/compiz-fusion-unsupported-debuginfo-0.8.2-1.fc12.x86_64.rpm' 
compiz-fusion-unsupported-debuginfo.x86_64: I: checking
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint -vi '/home/leigh/Desktop/compiz-fusion-unsupported-devel-0.8.2-1.fc12.x86_64.rpm' 
compiz-fusion-unsupported-devel.x86_64: I: checking
compiz-fusion-unsupported-devel.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

1 packages and 0 specfiles checked; 0 errors, 1 warnings.
 

rpmlint -vi '/home/leigh/Desktop/compiz-fusion-unsupported-gnome-0.8.2-1.fc12.x86_64.rpm' 
compiz-fusion-unsupported-gnome.x86_64: I: checking
compiz-fusion-unsupported-gnome.x86_64: W: conffile-without-noreplace-flag /etc/gconf/schemas/compiz-elements.schemas
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

compiz-fusion-unsupported-gnome.x86_64: W: conffile-without-noreplace-flag /etc/gconf/schemas/compiz-atlantis.schemas
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

compiz-fusion-unsupported-gnome.x86_64: W: conffile-without-noreplace-flag /etc/gconf/schemas/compiz-snow.schemas
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

compiz-fusion-unsupported-gnome.x86_64: W: conffile-without-noreplace-flag /etc/gconf/schemas/compiz-tile.schemas
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

compiz-fusion-unsupported-gnome.x86_64: W: conffile-without-noreplace-flag /etc/gconf/schemas/compiz-cubemodel.schemas
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

compiz-fusion-unsupported-gnome.x86_64: W: conffile-without-noreplace-flag /etc/gconf/schemas/compiz-mswitch.schemas
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

compiz-fusion-unsupported-gnome.x86_64: W: conffile-without-noreplace-flag /etc/gconf/schemas/compiz-fakeargb.schemas
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

compiz-fusion-unsupported-gnome.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

1 packages and 0 specfiles checked; 0 errors, 8 warnings.
Comment 6 Christoph Wickert 2009-06-08 10:50:30 EDT
(In reply to comment #5)

> The x86_64: W: non-conffile-in-etc error is also present in the packages
> 
> 1. compiz-fusion
> 2. compiz-fusion-extras

and _a_lot_ more...

> Do I need to fix this ?

No, GConf schemas are not supposed to be edited by users and are not treated as config files. The warning is save to ignore, you can even remove %config.
Comment 7 leigh scott 2009-06-08 11:02:42 EDT
(In reply to comment #6)
> (In reply to comment #5)
> 
> > The x86_64: W: non-conffile-in-etc error is also present in the packages
> > 
> > 1. compiz-fusion
> > 2. compiz-fusion-extras
> 
> and _a_lot_ more...
> 
> > Do I need to fix this ?
> 
> No, GConf schemas are not supposed to be edited by users and are not treated as
> config files. The warning is save to ignore, you can even remove %config.  


Thanks.

I have removed FE-NEEDSPONSOR as I'm already sponsored.
Comment 8 leigh scott 2009-07-12 15:51:47 EDT
isuse
Comment 9 leigh scott 2009-12-02 13:41:10 EST
Hi Felix,


Bump 

:-)
Comment 10 Felix Kaechele 2009-12-10 22:11:27 EST
Okay FINALLY here we go. Sorry for the long delay:

[+] specfiles match:
1c0efc114948b59b30cc9d28cfd6113d8244c007dd38d8fb8bc2762f1ec0d5ad  compiz-fusion-unsupported.spec
1c0efc114948b59b30cc9d28cfd6113d8244c007dd38d8fb8bc2762f1ec0d5ad  ../../Downloads/compiz-fusion-unsupported.spec
[+] source files match upstream:
943d1ad6a1e4a92a518087c4b5ba44e91c5e2b9bc254dbfcc4adefe3dc42157b  compiz-plugins-unsupported-0.8.2.tar.bz2
943d1ad6a1e4a92a518087c4b5ba44e91c5e2b9bc254dbfcc4adefe3dc42157b  ../SOURCES/compiz-plugins-unsupported-0.8.2.tar.bz2
[+] package meets naming and versioning guidelines.
[+] spec is properly named, cleanly written, and uses macros consistently.
[+] dist tag is present.
[+] build root is correct.
[+] license field matches the actual license.
[+] license is open source-compatible.
[+] license text included in package.
[!] latest version is being packaged.
	Latest version that matches the version of compiz-fusion in Fedora is packaged. This is OK.
[+] BuildRequires are proper.
[+] compiler flags are appropriate.
[+] %clean is present. 
[+] package builds in mock.
[+] package installs properly.
[+] debuginfo package looks complete.
[!] rpmlint is silent.
	rpmlint has some warnings but these can be safely ignored.
[+] final provides and requires are sane
[N/A] %check is present and all tests pass:
[+] no shared libraries are added to the regular linker search paths.
[+] owns the directories it creates. 
[+] doesn't own any directories it shouldn't.
[+] no duplicates in %files.
[+] file permissions are appropriate.
[+] scriptlets match those on ScriptletSnippets page.
[+] code, not content.
[+] documentation is small, so no -docs subpackage is necessary.
[+] %docs are not necessary for the proper functioning of the package.
[+] no headers.
	Are in -devel where they belong
[+] no pkgconfig files.
[+] no libtool .la droppings.
[N/A] desktop files valid and installed properly.

APPROVED!
Comment 11 leigh scott 2009-12-11 01:49:48 EST
Thank you Felix.


New Package CVS Request
=======================
Package Name: compiz-fusion-unsupported
Short Description: Unsupported Compiz Fusion plugins for Compiz
Owners: leigh123linux
Branches: F-12
InitialCC: leigh123linux
Comment 12 Kevin Fenzi 2009-12-14 12:42:40 EST
cvs done.
Comment 13 Felix Kaechele 2010-04-24 04:49:24 EDT
Has this package already been imported? If yes can this bug be closed then?
Comment 14 leigh scott 2010-04-24 05:22:50 EDT
(In reply to comment #13)
> Has this package already been imported? If yes can this bug be closed then?    

Yes it has
Comment 15 leigh scott 2011-04-01 11:48:20 EDT
Bookmarked 


https://bugzilla.redhat.com/show_bug.cgi?id=677365
Comment 16 leigh scott 2011-04-01 13:22:35 EDT
Package Change Request
======================
Package Name: compiz-fusion-unsupported
New Branches: el6
Owners: leigh123linux
Comment 17 Jason Tibbitts 2011-04-03 23:52:18 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.